[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TWordBoolHelper.Parse

Convert string value to WordBool value.

## Declaration

Source position: syshelph.inc line 662

`public class function TWordBoolHelper.Parse(`
`const S: string`
`):Boolean;`

## Description

Parse attempts to convert the string S to a WordBool value. It uses the StrToBool function to perform the conversion.

## Errors

If S does not contain a valid string representation, then an EConvertError exception is raised.

## See also

TWordBoolHelper.TryToParse |  | Try to convert a string to a WordBool value
TWordBoolHelper.ToString |  | Convert a WordBool value to string.
TWordBoolHelper.ToInteger |  | Convert to an integer value